package com.tofly.ghrq_route.module.OfflineWork.domain;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.NotNull;
import org.greenrobot.greendao.annotation.Unique;

@Entity(nameInDb = "OFFLINE_JOB_NEED_DATA")
public class OfflineJobNeedData {

    public static class OfflineWorkNeedType{
        public static final int NEED_SIGN_HISTORY_TYPE = 0;   //当前日前的签到历史类型
        public static final int NEED_DANGER_DEVICE_TYPE = 1;   //隐患设备类型
        public static final int NEED_DANGER_DANGER_TYPE = 2;   //隐患隐患类型
        public static final int NEED_PHOTO_PHOTO_TYPE = 3;   //照片上传照片类型
        public static final int NEED_USER_MAP_CONFIG_TYPE = 4;   //用户地图配置数据类型
        public static final int NEED_BUILD_PROJECT_LIST_TYPE = 5;   //工地类型列表类型
        public static final int NEED_PLAN_ADJUST_DEVICE_PARAMS_TYPE = 6; //设备计划录入参数类型
        public static final int NEED_PLAN_COMMON_DEVICE_PARAMS_TYPE = 7; //设备计划录入参数类型
        public static final int NEED_BUILD_NEW_INFO = 8;//新建工地信息
        public static final int NEED_BUILD_PROCESS = 9;//工地过程管理信息
        public static final int NEED_RUSH_REPAIR_NEW_INFO = 10;//新建抢维修信息
        public static final int NEED_RUSH_REPAIR_PROCESS = 11;//抢维修过程管理
        public static final int NEED_BASIC_TYPE_COUNT = 12;      //基础类型数据

        public static final int NEED_PLAN_PLAN_LIST_TYPE = NEED_BASIC_TYPE_COUNT;   //巡检计划列表类型
        public static final int NEED_PLAN_DANGER_INFO_TYPE = NEED_PLAN_PLAN_LIST_TYPE + 1;   //巡检计划隐患详情类型
        public static final int NEED_PLAN_DEVICE_ROUTE_PARAMS_TYPE = NEED_PLAN_DANGER_INFO_TYPE + 1; //设备计划录入参数类型
        public static final int NEED_PLAN_OFFLINE_POINT_LIST_TYPE = NEED_PLAN_DEVICE_ROUTE_PARAMS_TYPE + 1; //巡检计划计划的离线点类型，数据最多，选择最后下载

        public static final int NEED_BUILD_BUILD_LIST_TYPE = NEED_PLAN_OFFLINE_POINT_LIST_TYPE + 1;   //工地计划工地列表类型
        public static final int NEED_BUILD_BUILD_NOTICE_FILE_TYPE = NEED_BUILD_BUILD_LIST_TYPE + 1; // 工地计划工地告知书文件类型
        public static final int NEED_BUILD_TYPE_COUNT = 12;      //工地计划类型数据
        public static final int WORK_NEED_TYPE_COUNT = 14;

    }

    @Id @NotNull @Unique
    String planDate;      //当前的日期
    int today_sign_history = 0;
    String sign_history_date;
    int device_type = 0;
    String device_type_date;
    int danger_type = 0;
    String danger_type_date;
    int photo_type = 0;
    String photo_type_date;
    int map_config_type = 0;
    String map_config_date;
    int plan_list = 0;
    String plan_list_date;
    int danger_info = 0;
    String danger_info_date;
    int adjust_device_route_params = 0;
    String adjust_route_params_date;
    int valve_device_route_params = 0;
    String vavle_route_params_date;
    int build_project_list = 0;
    String build_project_list_date;
    int build_list = 0;
    String build_list_date;
    int build_notice_files = 0;
    String build_notice_date;
    int plan_offline_points = 0;
    String plan_offline_date;

    @Generated(hash = 46005186)
    public OfflineJobNeedData(@NotNull String planDate, int today_sign_history,
            String sign_history_date, int device_type, String device_type_date, int danger_type,
            String danger_type_date, int photo_type, String photo_type_date, int map_config_type,
            String map_config_date, int plan_list, String plan_list_date, int danger_info,
            String danger_info_date, int adjust_device_route_params, String adjust_route_params_date,
            int valve_device_route_params, String vavle_route_params_date, int build_project_list,
            String build_project_list_date, int build_list, String build_list_date,
            int build_notice_files, String build_notice_date, int plan_offline_points,
            String plan_offline_date) {
        this.planDate = planDate;
        this.today_sign_history = today_sign_history;
        this.sign_history_date = sign_history_date;
        this.device_type = device_type;
        this.device_type_date = device_type_date;
        this.danger_type = danger_type;
        this.danger_type_date = danger_type_date;
        this.photo_type = photo_type;
        this.photo_type_date = photo_type_date;
        this.map_config_type = map_config_type;
        this.map_config_date = map_config_date;
        this.plan_list = plan_list;
        this.plan_list_date = plan_list_date;
        this.danger_info = danger_info;
        this.danger_info_date = danger_info_date;
        this.adjust_device_route_params = adjust_device_route_params;
        this.adjust_route_params_date = adjust_route_params_date;
        this.valve_device_route_params = valve_device_route_params;
        this.vavle_route_params_date = vavle_route_params_date;
        this.build_project_list = build_project_list;
        this.build_project_list_date = build_project_list_date;
        this.build_list = build_list;
        this.build_list_date = build_list_date;
        this.build_notice_files = build_notice_files;
        this.build_notice_date = build_notice_date;
        this.plan_offline_points = plan_offline_points;
        this.plan_offline_date = plan_offline_date;
    }
    @Generated(hash = 1510777081)
    public OfflineJobNeedData() {
    }

    public String getPlanDate() {
        return this.planDate;
    }
    public void setPlanDate(String planDate) {
        this.planDate = planDate;
    }
    public int getDevice_type() {
        return this.device_type;
    }
    public void setDevice_type(int device_type) {
        this.device_type = device_type;
    }
    public String getDevice_type_date() {
        return this.device_type_date;
    }
    public void setDevice_type_date(String device_type_date) {
        this.device_type_date = device_type_date;
    }
    public int getDanger_type() {
        return this.danger_type;
    }
    public void setDanger_type(int danger_type) {
        this.danger_type = danger_type;
    }
    public String getDanger_type_date() {
        return this.danger_type_date;
    }
    public void setDanger_type_date(String danger_type_date) {
        this.danger_type_date = danger_type_date;
    }
    public int getPhoto_type() {
        return this.photo_type;
    }
    public void setPhoto_type(int photo_type) {
        this.photo_type = photo_type;
    }
    public String getPhoto_type_date() {
        return this.photo_type_date;
    }
    public void setPhoto_type_date(String photo_type_date) {
        this.photo_type_date = photo_type_date;
    }
    public int getMap_config_type() {
        return this.map_config_type;
    }
    public void setMap_config_type(int map_config_type) {
        this.map_config_type = map_config_type;
    }
    public String getMap_config_date() {
        return this.map_config_date;
    }
    public void setMap_config_date(String map_config_date) {
        this.map_config_date = map_config_date;
    }
    public int getPlan_list() {
        return this.plan_list;
    }
    public void setPlan_list(int plan_list) {
        this.plan_list = plan_list;
    }
    public String getPlan_list_date() {
        return this.plan_list_date;
    }
    public void setPlan_list_date(String plan_list_date) {
        this.plan_list_date = plan_list_date;
    }
    public int getDanger_info() {
        return this.danger_info;
    }
    public void setDanger_info(int danger_info) {
        this.danger_info = danger_info;
    }
    public String getDanger_info_date() {
        return this.danger_info_date;
    }
    public void setDanger_info_date(String danger_info_date) {
        this.danger_info_date = danger_info_date;
    }

    public int getBuild_list() {
        return this.build_list;
    }
    public void setBuild_list(int build_list) {
        this.build_list = build_list;
    }
    public String getBuild_list_date() {
        return this.build_list_date;
    }
    public void setBuild_list_date(String build_list_date) {
        this.build_list_date = build_list_date;
    }
    public int getBuild_notice_files() {
        return this.build_notice_files;
    }
    public void setBuild_notice_files(int build_notice_files) {
        this.build_notice_files = build_notice_files;
    }
    public String getBuild_notice_date() {
        return this.build_notice_date;
    }
    public void setBuild_notice_date(String build_notice_date) {
        this.build_notice_date = build_notice_date;
    }
    public int getPlan_offline_points() {
        return this.plan_offline_points;
    }
    public void setPlan_offline_points(int plan_offline_points) {
        this.plan_offline_points = plan_offline_points;
    }
    public String getPlan_offline_date() {
        return this.plan_offline_date;
    }
    public void setPlan_offline_date(String plan_offline_date) {
        this.plan_offline_date = plan_offline_date;
    }
    public int getToday_sign_history() {
        return this.today_sign_history;
    }
    public void setToday_sign_history(int today_sign_history) {
        this.today_sign_history = today_sign_history;
    }
    public String getSign_history_date() {
        return this.sign_history_date;
    }
    public void setSign_history_date(String sign_history_date) {
        this.sign_history_date = sign_history_date;
    }
    public int getBuild_project_list() {
        return this.build_project_list;
    }
    public void setBuild_project_list(int build_project_list) {
        this.build_project_list = build_project_list;
    }
    public String getBuild_project_list_date() {
        return this.build_project_list_date;
    }
    public void setBuild_project_list_date(String build_project_list_date) {
        this.build_project_list_date = build_project_list_date;
    }
    public int getAdjust_device_route_params() {
        return this.adjust_device_route_params;
    }
    public void setAdjust_device_route_params(int adjust_device_route_params) {
        this.adjust_device_route_params = adjust_device_route_params;
    }
    public String getAdjust_route_params_date() {
        return this.adjust_route_params_date;
    }
    public void setAdjust_route_params_date(String adjust_route_params_date) {
        this.adjust_route_params_date = adjust_route_params_date;
    }
    public int getValve_device_route_params() {
        return this.valve_device_route_params;
    }
    public void setValve_device_route_params(int valve_device_route_params) {
        this.valve_device_route_params = valve_device_route_params;
    }
    public String getVavle_route_params_date() {
        return this.vavle_route_params_date;
    }
    public void setVavle_route_params_date(String vavle_route_params_date) {
        this.vavle_route_params_date = vavle_route_params_date;
    }
}
